program DBManager;

uses
  FastMM4,
  Forms,
  main in 'main.pas' {frmMain},
  uDatabase in 'uDatabase.pas' {frmDatabase},
  uTable in 'uTable.pas' {frmTable},
  uTableName in 'uTableName.pas' {frmTableName},
  uMemo in 'uMemo.pas' {fMemo},
  uFmtMemo in 'uFmtMemo.pas' {fFmtMemo},
  uBlob in 'uBlob.pas' {fBlob},
  uGraphic in 'uGraphic.pas' {fGraphic},
  uAbout in 'uAbout.pas' {frmAbout},
  uTableStructRpt in 'uTableStructRpt.pas' {fTableStructureRpt},
  uCopyTable in 'uCopyTable.pas' {frmCopyTable},
  uMakeExeDb in 'uMakeExeDb.pas' {frmMakeExeDB},
  uExportExcel in 'uExportExcel.pas',
  uFieldList in 'uFieldList.pas' {frmFieldList},
  uChangeLog in 'uChangeLog.pas' {frmChangeLog},
  uQueryMaker in 'uQueryMaker.pas' {frmQueryMaker};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmDatabase, frmDatabase);
  Application.CreateForm(TfrmTable, frmTable);
  Application.CreateForm(TfrmTableName, frmTableName);
  Application.CreateForm(TfMemo, fMemo);
  Application.CreateForm(TfFmtMemo, fFmtMemo);
  Application.CreateForm(TfBlob, fBlob);
  Application.CreateForm(TfGraphic, fGraphic);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmFieldList, frmFieldList);
  Application.CreateForm(TfrmChangeLog, frmChangeLog);
  Application.CreateForm(TfrmQueryMaker, frmQueryMaker);
  try
    Application.CreateForm(TfTableStructureRpt, fTableStructureRpt);
  except
    fTableStructureRpt := nil;
  end;
  Application.CreateForm(TfrmCopyTable, frmCopyTable);
  Application.CreateForm(TfrmMakeExeDB, frmMakeExeDB);
  Application.Run;
end.
